<?php get_header(); ?>

<div class="archive-page t-page">
	<header class="archive-header p-header">
	<?php if (is_day()) : ?>
		<span class="archive-page-label meta-label">Daily Archives <em>for</em></span>
		<h1 class="p-title"><?php echo get_the_date(); ?></h1>
	<?php elseif (is_month()) : ?>
		<span class="archive-page-label meta-label">Monthly Archives <em>for</em></span>
		<h1 class="p-title"><?php echo get_the_date('F Y'); ?></h1>
	<?php elseif (is_year()) : ?>
		<span class="archive-page-label meta-label">Yearly Archives <em>for</em></span>
		<h1 class="p-title"><?php echo get_the_date('Y'); ?></h1>
	<?php elseif (is_category()) : ?>
		<span class="archive-page-label meta-label">Category Archives <em>for</em></span>
		<h1 class="p-title"><?php single_cat_title(); ?></h1>
	<?php elseif (is_tag()) : ?>
		<span class="archive-page-label meta-label">Tag Archives <em>for</em></span>
		<h1 class="p-title">&#8220;<?php single_tag_title(); ?>&#8221;</h1>
	<?php else : ?>
		<h1 class="p-title">Blog Archives</h1>
	<?php endif; ?>
	</header>
	
	<?php get_template_part('loop'); ?>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>