<?php get_header(); ?>

<?php
	global $wp_query;
	$cpt_leader = $wp_query->get_queried_object();
?>

<div class="profile">
	<header class="profile-header">
		<span class="profile-image"><?php echo get_avatar($cpt_leader->user_email, 140); ?></span>
			
		<hgroup class="profile-id">
			<h1 class="profile-name"><?php echo $cpt_leader->display_name; ?></h1>
			<h2 class="profile-title"><?php echo get_the_author_meta('cpt_position_title', $cpt_leader->ID); ?></h2>
		</hgroup>
		
		<?php
			$cpt_leader_facebook = get_the_author_meta('facebook', $cpt_leader->ID);
			$cpt_leader_twitter = get_the_author_meta('twitter', $cpt_leader->ID);
			
			if ($cpt_leader_facebook || $cpt_leader_twitter) {
		?>
			<ul class="profile-smis person-smis social-media-icons">
				<?php
					if ($cpt_leader_facebook) {
				?>
						<li class="profile-smi person-smi social-media-icon"><a class="profile-smi-link person-smi-link social-media-icon-link" href="<?php echo $cpt_leader_facebook; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/facebook-24x24.png" width="24" height="24" alt="Facebook" /></a></li>
				<?php
					}
					if ($cpt_leader_twitter) {
				?>
						<li class="profile-smi person-smi social-media-icon"><a class="profile-smi-link person-smi-link social-media-icon-link" href="<?php echo $cpt_leader_twitter; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/twitter-24x24.png" width="24" height="24" alt="Twitter" /></a></li>
				<?php
					}
				?>
			</ul>
		<?php } ?>
		
		<span class="clear"></span>
	</header>
	
	<div class="profile-content p-content">
		<?php echo wpautop(get_the_author_meta('description', $cpt_leader->ID)); ?>
		<span class="clear"></span>
		<?php //edit_post_link('Edit'); ?>
	</div>
</div>

<div class="profile-posts">
	<?php
		$post_args = array(
			'author' => $cpt_leader->ID,
			'post_type' => 'cpt_sermons',
			'post_count' => 10
		);
		
		$posts = new WP_Query($post_args);
		
		if ($posts->have_posts()) {
	?>
		<div class="sidebar-block">
			<h4 class="profile-posts-title sidebar-label">Recent sermons</h4>
			<ul class="profile-posts-list">
			<?php
				while ($posts->have_posts()) : $posts -> the_post();
			?>
				<li class="profile-posts-item"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
			<?php
				endwhile;
			?>
			</ul>
		</div>
	<?php
		}
		wp_reset_postdata();
	?>
	
	<?php
		$post_args = array(
			'author' => $cpt_leader->ID,
			'post_type' => 'post',
			'post_count' => 10
		);
		
		$posts = new WP_Query($post_args);
		
		if ($posts->have_posts()) {
	?>
		<div class="sidebar-block">
			<h4 class="profile-posts-title sidebar-label">Recent blog posts</h4>
			<ul class="profile-posts-list">
			<?php
				while ($posts->have_posts()) : $posts -> the_post();
			?>
				<li class="profile-posts-item"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
			<?php
				endwhile;
			?>
			</ul>
		</div>
	<?php
		}
		wp_reset_postdata();
	?>
</div>

<span class="clear"></span>

<?php get_footer(); ?>