$(function() {
	
	/* Functionality 1
	   Desc: Fades home page billboards in/out.
	*/
	var totalBillboards = $(".billboards figure").size();
	
	if (totalBillboards > 1) {
		$.fn.autoNext = function() {
			var auto_current_billboard = $(".billboard-tab-active a").attr("href");
			var auto_current_billboard_number = auto_current_billboard.replace("#billboard-","");
				
			if (auto_current_billboard_number == totalBillboards) {
				var auto_target_billboard = ".billboard-1";
				var auto_target_billboard_tab = ".billboard-tab-link-1";
			}
			else {
				auto_current_billboard_number++;
				var auto_target_billboard = ".billboard-"+auto_current_billboard_number;
				var auto_target_billboard_tab = ".billboard-tab-link-"+auto_current_billboard_number;
			}
			
			$(auto_target_billboard).show();
			$(auto_current_billboard).hide();
			
			$(".billboard-tab-link").parent("li").removeClass("billboard-tab-active");
			$(auto_target_billboard_tab).parent("li").addClass("billboard-tab-active");
			
			$(".billboard").removeClass("billboard-active");
			$(auto_target_billboard).addClass("billboard-active");
		}
	}
	
	if (totalBillboards > 1) {
		var AutoAdvance = setInterval($.fn.autoNext, 5000);
	}
	
	$(".billboard-tab-link").click(function() {
		if ($(this).parent("li").hasClass("billboard-tab-active")) {
			return false;
		}
		else {
			var target_billboard = $(this).attr("href");
			var current_billboard = $(".billboard-tab-active a").attr("href");
			
			$(target_billboard).show();
			$(current_billboard).hide();
			
			$(".billboard-tab-link").parent("li").removeClass("billboard-tab-active");
			$(this).parent("li").addClass("billboard-tab-active");
			
			$(".billboard").removeClass("billboard-active");
			$(target_billboard).addClass("billboard-active");
			
			if (totalBillboards > 1) {
				clearInterval(AutoAdvance);
			}
			
			return false;
		}
	});
	
	if (totalBillboards > 1) {
		$(".billboard-area").mouseover(function() {
			clearInterval(AutoAdvance);
		});
		
		$(".billboard-area").mouseout(function() {
			AutoAdvance = setInterval($.fn.autoNext, 5000);
		});
	}

	
	/* Functionality 2
	   Desc: Removes the search input value on focus.
	   Notes: Because the output is dynamically generated
	      Wordpress we need to add the initial input
	      value. (Otherwise we would have placed it in 
	      the HTML.) */
	      
	if ($("#searchform #s").attr("value") == "") {
		$("#searchform #s").attr("value","Search the site");
	}
	
	$("#searchform #s").focus(function() {
		var what_is_input_value = $("#searchform #s").attr("value");
		if (what_is_input_value == "Search the site") {
			$("#searchform #s").attr("value","");
		}
	});
				
	$("#searchform #s").blur(function() {
		var is_search_empty = $("#searchform #s").attr("value");
		if (is_search_empty == "") {
			$("#searchform #s").attr("value","Search the site");
		}
	});

});