<?php
/*	// Grab the images for taxonomies
	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ));
	//so term ID
	$t_ID = $term->term_id;
	$term_data = get_option("taxonomy_$t_ID");*/
?>

<aside class="sermon-archive-meta">
<?php
	$cpt_sermon_series = get_terms('cpt_sermon_series', 'hide_empty=0&orderby=id$order=DESC');
	$cpt_count = count($cpt_sermon_series);
	
	if ($cpt_count > 0) {
?>
	<section class="sermon-series">
		<header>
			<h4 class="current-sermon-series-label sermon-series-label sermon-archive-label">Current Sermon Series</h4>
		</header>
		
		<ul class="sermon-series-list sermon-archive-list">
		<?php
			foreach ($cpt_sermon_series as $cpt_ss) {
				$cpt_term_id_get = 'taxonomy_' . $cpt_ss->term_id;
				$cpt_ss_extra = get_option($cpt_term_id_get);
			
				if ($cpt_ss_extra['cpt_term_current_series']) {
		?>					
					<li class="cpt-ss">
						<a class="cpt-ss-link" href="<?php bloginfo('url'); ?>/series/<?php echo $cpt_ss->slug; ?>/" title="<?php echo $cpt_ss->name; ?> series">
						<?php
							if ($cpt_ss_extra['cpt_term_image_url']) {
						?>
								<img class="cpt-ss-image" src="<?php echo $cpt_ss_extra['cpt_term_image_url']; ?>" alt="<?php echo esc_attr_e($cpt_ss->name); ?>" />
						<?php
							}
							else {
						?>
								<span class="cpt-ss-name"><?php echo $cpt_ss->name; ?></span> <?php /*<span class="post-count"><?php echo $cpt_ss->count; ?></span>*/ ?>
						<?php
							}
						?>
						</a>
					</li>
		<?php
				}
			}
		?>
		</ul>
		
		<h5 class="past-sermon-series-label sermon-series-label sermon-archive-label">Past Series</h5>
		<ul class="sermon-series-list sermon-archive-list">
		<?php
			foreach ($cpt_sermon_series as $cpt_ss) {
				$cpt_term_id_get = 'taxonomy_' . $cpt_ss->term_id;
				$cpt_ss_extra = get_option($cpt_term_id_get);
				
				if (!$cpt_ss_extra['cpt_term_current_series']) {
		?>
				<li class="cpt-ss">
					<a class="cpt-ss-link" href="<?php bloginfo('url'); ?>/series/<?php echo $cpt_ss->slug; ?>/" title="<?php echo $cpt_ss->name; ?> series">
					<?php
						if ($cpt_ss_extra['cpt_term_image_url']) {
					?>
							<img class="cpt-ss-image" src="<?php echo $cpt_ss_extra['cpt_term_image_url']; ?>" alt="<?php echo esc_attr_e($cpt_ss->name); ?>" />
					<?php
						}
						else {
					?>
							<span class="cpt-ss-name"><?php echo $cpt_ss->name; ?></span> <?php /*<span class="post-count"><?php echo $cpt_ss->count; ?></span>*/ ?>
					<?php
						}
					?>
					</a>
				</li>
		<?php
				}
			}
		?>
		</ul>
	</section>
<?php
	}
?>

	<span class="clear"></span>
	
	<div class="scripture">
		<h4 class="scripture-label">Scripture</h4>
		
	<?php
		$cpt_bible_books = get_terms('cpt_bible_books', 'hide_empty=0&number=39&orderby=id');
		$cpt_count = count($cpt_bible_books);
		
		if ($cpt_count > 0) {
	?>
		<section class="bible-books old-testament">
			<header>
				<h5 class="sermon-archive-label">Old Testament</h5>
			</header>
			
			<ul class="bible-books-list sermon-archive-list">
			<?php
				foreach ($cpt_bible_books as $cpt_book) {
			?>
				<li class="bible-book"><a class="bible-book-link" href="<?php bloginfo('url'); ?>/bible/book/<?php echo $cpt_book->slug; ?>/" title="View all items from <?php echo $cpt_book->name; ?>"><span class="bible-book-name"><?php echo $cpt_book->name; ?></span> <span class="post-count"><?php echo $cpt_book->count; ?></span></a></li>
			<?php
				}
			?>
			</ul>
		</section>
	<?php
		}
	?>
	
	<?php
		$cpt_bible_books = get_terms('cpt_bible_books', 'hide_empty=0&offset=39&number=27&orderby=id');
		$cpt_count = count($cpt_bible_books);
		
		if ($cpt_count > 0) {
	?>
		<section class="bible-books new-testament">
			<header>
				<h5 class="sermon-archive-label">New Testament</h5>
			</header>
			
			<ul class="bible-books-list sermon-archive-list">
			<?php
				foreach ($cpt_bible_books as $cpt_book) {
			?>
				<li class="bible-book"><a class="bible-book-link" href="<?php bloginfo('url'); ?>/bible/book/<?php echo $cpt_book->slug; ?>/"><span class="bible-book-name"><?php echo $cpt_book->name; ?></span> <span class="post-count"><?php echo $cpt_book->count; ?></span></a></li>
			<?php
				}
			?>
			</ul>
		</section>
	<?php
		}
	?>
	</div>
	
	<span class="clear"></span>
	<?php /*
	<section class="speakers">
		<header>
			<h4 class="scripture-label">Person</h4>
		</header>
		
		<ul class="bible-books-list sermon-archive-list">
			<?php wp_list_authors('optioncount=1&show_fullname=1'); ?>
		</ul>
	</section>*/ ?>
</aside>