<?php
/*
Template Name: Events
*/

	get_header();

	$event_options = get_option('cpt_theme_options');
	$cpt_google_calendar_embed = $event_options['cpt_google_calendar_embed'];
?>

<?php while (have_posts()) : the_post(); ?>

<div class="events-page t-page">
	<header class="p-header">
		<h1 class="p-title"><?php the_title(); ?></h1>
	</header>
	
	<div class="p-content">
		<?php the_content(); ?>
		
		<?php
			if ($cpt_google_calendar_embed) {
				echo $cpt_google_calendar_embed;
			}
		?>
		
		<span class="clear"></span>
		<?php edit_post_link('Edit'); ?>
	</div>
</div>

<?php endwhile; ?>

<span class="clear"></span>

<?php get_footer(); ?>