  </div> <!-- .main -->

	<div class="site-meta">
	<div class="site-meta-frame">
	
		<?php
			$options = get_option('cpt_theme_options');
			
			$cpt_loc_map_embed = $options['cpt_loc_map_embed'];
			
			$cpt_info_primary_email = $options['cpt_info_primary_email'];
			$cpt_info_phone = $options['cpt_info_phone'];
			$cpt_info_church_name = $options['cpt_info_church_name'];
			$cpt_info_address_1 = $options['cpt_info_address_1'];
			$cpt_info_address_2 = $options['cpt_info_address_2'];
			$cpt_info_city = $options['cpt_info_city'];
			$cpt_info_state = $options['cpt_info_state'];
			$cpt_info_zip = $options['cpt_info_zip'];
			
			$cpt_info_logo_upload_path = $options['cpt_info_logo_upload'];
			$cpt_sm_facebook_display = $options['cpt_sm_facebook_display'];
			$cpt_sm_twitter_display = $options['cpt_sm_twitter_display'];
			$cpt_sm_vimeo_display = $options['cpt_sm_vimeo_display'];
			$cpt_sm_flickr_display = $options['cpt_sm_flickr_display'];
			$cpt_sm_youtube_display = $options['cpt_sm_youtube_display'];
			$cpt_sm_rss_display = $options['cpt_sm_rss_display'];
			$cpt_sm_podcast_display = $options['cpt_sm_podcast_display'];
		?>
		
		<div class="footer-left-side">
			<div class="church-contact-info" itemscope itemtype="http://schema.org/Organization">
				<?php if ($cpt_info_church_name) { ?><h4 class="church-name" itemprop="name"><?php echo $cpt_info_church_name; ?></h4> <?php } ?>
				
				<address class="church-address" itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
					<?php if ($cpt_info_address_1) { ?><span class="church-address-street" itemprop="streetAddress"><?php echo $cpt_info_address_1; ?></span> <?php } ?>
					<?php if ($cpt_info_address_2) { ?><span class="church-address-street" itemprop="streetAddress"><?php echo $cpt_info_address_2; ?></span> <?php } ?>
					<?php if ($cpt_info_city || $cpt_info_state) { ?>
						<span class="church-address-locality" itemprop="addressLocality">
							<?php
								if ($cpt_info_city && $cpt_info_state) {
									echo $cpt_info_city . ', ' . $cpt_info_state;
								}
								else {
									echo $cpt_info_city;
									echo $cpt_info_state;
								}
							?>
						</span>
					<?php } ?>
					<?php if ($cpt_info_zip) { ?><span class="church-address-locality" itemprop="postalCode"><?php echo $cpt_info_zip; ?></span> <?php } ?>
				</address>
				
				<div class="church-contact-details">
					<?php if ($cpt_info_phone) { ?><span class="church-contact-telephone" itemprop="telephone"><?php echo $cpt_info_phone; ?></span> <?php } ?>
					<?php if ($cpt_info_primary_email) { ?><span class="church-contact-email" itemprop="email"><?php echo $cpt_info_primary_email; ?></span> <?php } ?>
				</div>
				
				<ul class="footer-smi social-media-icons">
					<?php if ($cpt_sm_facebook_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_facebook_handle']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/facebook-24x24.png" width="24" height="24" alt="Facebook" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_twitter_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="http://twitter.com/<?php echo $options['cpt_sm_twitter_handle']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/twitter-24x24.png" width="24" height="24" alt="Twitter" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_vimeo_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_vimeo_handle']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/vimeo-24x24.png" width="24" height="24" alt="Vimeo" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_flickr_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_flickr_handle']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/flickr-24x24.png" width="24" height="24" alt="Flickr" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_youtube_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_youtube_handle']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/youtube-24x24.png" width="24" height="24" alt="YouTube" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_rss_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_rss_feed']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/feed-24x24.png" width="24" height="24" alt="RSS" /></a></li>
					<?php } ?>
					<?php if ($cpt_sm_podcast_display == "active") { ?>
					<li class="social-media-icon"><a class="social-media-icon-link" href="<?php echo $options['cpt_sm_podcast_feed']; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/itunes-24x24.png" width="24" height="24" alt="Podcast" /></a></li>
					<?php } ?>
				</ul>
			</div>
			
			<div class="quick-links">
		    <h5 class="quick-links-title">Quick Links</h5>
		  
		    <ul class="quick-links-list">
		      <?php wp_list_bookmarks('title_li=&categorize=0&category_name=Quick Links&show_description=1'); ?>
		    </ul>
		  </div>
		  
		  <span class="clear"></span>
		  
		  <?php
				if ($cpt_loc_map_embed) {
			?>
				<div class="footer-map-embed">
					<?php echo $cpt_loc_map_embed; ?>
				</div>
			<?php
				}
			?>
		</div>
		  
	  <div class="footer-widgets">
	  	<?php if (!dynamic_sidebar('cpt-footer-ur')) : ?>
			<?php endif; ?>
			
			<?php if (!dynamic_sidebar('cpt-footer-lr')) : ?>
			<?php endif; ?>
	  </div>
	  
	  <span class="clear"></span>
	  
	  <footer class="copyright">
	  	<p>Content &copy; <?php echo date('Y'); ?>, <?php bloginfo('name'); ?></p>
	  </footer>
	</div>
	</div>

</div> <!-- .site-frame -->
</div> <!-- .site -->

<script>
/* Fixes a scaling bug on Mobile Safari when you
   switch to landscape view from portrait view.
   REF: http://adactio.com/journal/4470/
*/

if (navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i)) {
  var viewportmeta = document.querySelector('meta[name="viewport"]');
  if (viewportmeta) {
    viewportmeta.content = 'width=device-width, minimum-scale=1.0, maximum-scale=1.0';
    document.body.addEventListener('gesturestart', function() {
      viewportmeta.content = 'width=device-width, minimum-scale=0.25, maximum-scale=1.6';
    }, false);
  }
}
</script>

</body>
</html>