<?php
	/*
	The code below shows only the current page's subpages.
	REF: http://wordpress.org/support/topic/3-level-sub-navigation-with-master-page-in-list
	*/
	
	if(!$post->post_parent)
	{
		// will display the subpages of this top level page
		$master = wp_list_pages("title_li=&include=".$post->ID."&child_of=".$post->post_parent."&echo=0&depth=1&sort_column=menu_order");
		$children = wp_list_pages("title_li=&child_of=".$post->ID."&echo=0&depth=1&sort_column=menu_order");
	}
	else
	{
		// diplays only the subpages of parent level
		//$children = wp_list_pages("title_li=&child_of=".$post->post_parent."&echo=0&depth=1");
	
		if($post->ancestors)
		{
			// now you can get the the top ID of this page
			// wp is putting the ids DESC, thats why the top level ID is the last one
			$ancestors = end($post->ancestors);
			$post_ancestors = get_post_ancestors($post);
			$master = wp_list_pages("title_li=&include=".array_pop($post_ancestors)."&echo=0&depth=1&sort_column=menu_order");
			$children = wp_list_pages("title_li=&child_of=".$ancestors."&echo=0&depth=2&sort_column=menu_order");
			// you will always get the whole subpages list
		}
	}
	
	if ($children)
	{
	?>
		<nav class="subnav">
			<h5 class="block-label"><span class="block-label-content">Subpages</span></h5>
			<ul class="subnav-list">
				<?php echo $master . $children; ?>
			</ul>
		</nav>
<?php
	}
?>