<?php
/*
Template Name: Sermons
*/

get_header();
?>

<?php while (have_posts()) : the_post(); ?>

<article class="t-page-sermons t-page">
	<header class="sermons-header p-header">
		<h1 class="p-title"><?php the_title(); ?></h1>
	</header>
	
	<div class="p-content">
		<?php the_content(); ?>
		<span class="clear"></span>
		<?php edit_post_link('Edit'); ?>
	</div>
</article>

<?php endwhile; ?>
<?php wp_reset_query(); ?>

<div class="recent-sermons">
<?php
	$post_args = array(
		'post_type' => 'cpt_sermons',
		'posts_per_page' => 7,
		'paged' => get_query_var('paged')
	);

	$wp_query = new WP_Query($post_args);
?>

<?php
	/* REMOVED FOR NOW.
	if ($wp_query->max_num_pages > 1) { ?>
<nav class="sermon-nav post-nav-beginning post-nav">
  <ul class="sermon-nav-list post-nav-list">
    <li class="post-nav-previous"><?php next_posts_link('<span class="meta-nav-action">&#8592;</span> <span class="meta-nav-label">Older sermons</span>'); ?></li>
    <li class="post-nav-next"><?php previous_posts_link('<span class="meta-nav-label">Newer sermons</span> <span class="meta-nav-action">&#8594;</span>'); ?></li>
  </ul>
  
  <span class="clear"></span>
</nav>
<?php } */?>

<?php
	while ($wp_query->have_posts()) : $wp_query -> the_post();
		get_template_part('lib','sermon');
	endwhile;
?>

<span class="clear"></span>

<?php if ($wp_query->max_num_pages > 1) { ?>
<nav class="sermon-nav post-nav-beginning post-nav">
  <ul class="sermon-nav-list post-nav-list">
    <li class="post-nav-previous"><?php next_posts_link('<span class="meta-nav-action">&#8592;</span> <span class="meta-nav-label">Older sermons</span>'); ?></li>
    <li class="post-nav-next"><?php previous_posts_link('<span class="meta-nav-label">Newer sermons</span> <span class="meta-nav-action">&#8594;</span>'); ?></li>
  </ul>
  
  <span class="clear"></span>
</nav>
<?php } ?>

<?php
	wp_reset_postdata();
?>
</div> <!-- .recent-sermons -->

<?php get_template_part('sidebar','sermons'); ?>

<span class="clear"></span>

<?php get_footer(); ?>