<?php get_header(); ?>

<?php while (have_posts()) : the_post(); ?>

<div class="t-post">
	<article id="p-<?php the_ID(); ?>">
		<header class="p-header">
			<h1 class="p-title"><?php the_title(); ?></h1>
			<p class="p-header-meta">
				<span class="p-byline"><em>By</em> <strong class="p-author"><?php the_author_posts_link(); ?></strong></span>
				<time class="p-publish-date" datetime="<?php the_time('Y-m-d'); ?>" pubdate><?php the_time('M d, Y'); ?></time>
			</p>
		</header>
		
		<div class="p-content">
			<?php the_content(); ?>
			<span class="clear"></span>
			<?php wp_link_pages(array('before' => '<div class="pagination-links">' . 'Pages:', 'after' => '</div>')); ?>
			<?php edit_post_link('Edit'); ?>
		</div>
		
		<footer class="p-meta">
			<?php
				if (has_category()) {
			?>
				<p class="p-meta-block">
					<span class="meta-label">Category</span>
					<?php the_category(', '); ?>
				</p>
			<?php
				}
			?>
	
			<?php
				if (has_tag()) {
			?>
				<p class="p-meta-block">
					<span class="meta-label">Tags</span>
					<?php the_tags('', ', '); ?>
				</p>
			<?php
				}
			?>
			
			<span class="clear"></span>
		</footer>
	</article>
	
	<?php comments_template( '', true ); ?>
</div> <!-- .t-post -->

<?php endwhile; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>